# Class CIM_PolicyCondition
extends CIM_Policy

A class representing a rule-specific or reusable policy condition to be evaluated in conjunction with a Policy Rule. Since all operational details of a PolicyCondition are provided in subclasses of this object, this class is abstract.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition

## Direct Known Subclasses

CIM_AuthenticationCondition
CIM_CompoundPolicyCondition
CIM_PacketFilterCondition
CIM_PolicyTimePeriodCondition
CIM_QueryCondition
CIM_VendorPolicyCondition

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | A class representing a rule-specific or reusable policy condition to be evaluated in conjunction with a Policy Rule. Since all operational details of a PolicyCondition are provided in subclasses of this object, this class is abstract.
UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
PolicyConditionName | string |
Description | string | A user-friendly name of this PolicyCondition.
Key | boolean | true
MaxLen | uint32 | 256
PolicyRuleCreationClassName | string |
Description | string | For a rule-specific PolicyCondition, the CreationClassName of the PolicyRule object with which this Condition is associated. For a reusable Policy Condition, a special value, 'NO RULE', should be used to indicate that this Condition is reusable and not associated with a single PolicyRule.
Key | boolean | true
MaxLen | uint32 | 256
PolicyRuleName | string |
Description | string | For a rule-specific PolicyCondition, the name of the PolicyRule object with which this Condition is associated. For a reusable PolicyCondition, a special value, 'NO RULE', should be used to indicate that this Condition is reusable and not associated with a single PolicyRule.
Key | boolean | true
MaxLen | uint32 | 256
SystemCreationClassName | string |

Description

string

The name of the class or the subclass used in the creation of the System object in whose scope this PolicyCondition is defined. This property helps to identify the System object in whose scope this instance of PolicyCondition exists. For a rule-specific PolicyCondition, this is the System in whose context the PolicyRule is defined. For a reusable PolicyCondition, this is the instance of PolicyRepository (which is a subclass of System) that holds the Condition. Note that this property, and the analogous property SystemName, do not represent propagated keys from an instance of the class System. Instead, they are properties defined in the context of this class, which repeat the values from the instance of System to which this PolicyCondition is related, either directly via the PolicyConditionInPolicyRepository association or indirectly via the PolicyConditionInPolicyRule aggregation.

Key | boolean | true
MaxLen | uint32 | 256
SystemName | string |

Description

string

The name of the System object in whose scope this PolicyCondition is defined. This property completes the identification of the System object in whose scope this instance of PolicyCondition exists. For a rule-specific PolicyCondition, this is the System in whose context the PolicyRule is defined. For a reusable PolicyCondition, this is the instance of PolicyRepository (which is a subclass of System) that holds the Condition.

Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyKeywords | string[] | CIM_Policy

## Class Methods